const express = require('express');
const router = express.Router();
const orderController = require("../controllers/order")

const auth = require("../auth");

const { authenticateToken, verifyUser, verifyAdmin } = auth;

// POST /users/order
router.post("/order", authenticateToken, orderController.createOrder);


// Route to retrieve authenticated user's orders
router.post("/get-order", authenticateToken, orderController.getOrders);

// Route to retrieve all orders
router.get("/orders-all", authenticateToken, verifyAdmin, orderController.getAllOrders);

module.exports = router;