// AdminDashboard.js

import React, { useRef } from 'react';
import { Tabs, Tab, Container } from 'react-bootstrap';
import CreateProduct from '../components/CreateProduct';
import AllProducts from '../components/AllProducts';
import CreatePromoCode from '../components/CreatePromoCode'; // Import the new component

const AdminDashboard = () => {
  const allProductsRef = useRef();

  const prevRefreshRef = () => {
    if (allProductsRef.current) {
      allProductsRef.current.refreshProducts();
    }
  };

  return (
    <Container>
      <Tabs defaultActiveKey="view-all" id="admin-dashboard-tabs" onSelect={(key) => key === 'create' && prevRefreshRef()}>
        <Tab eventKey="view-all" title="View All Products">
          <AllProducts ref={allProductsRef} />
        </Tab>
        <Tab eventKey="create" title="Create Product">
          <CreateProduct />
        </Tab>
        <Tab eventKey="create-promo-code" title="Create Promo Code"> {/* Add the new tab for creating a promo code */}
          <CreatePromoCode />
        </Tab>
        {/* Add more tabs for other actions if needed */}
      </Tabs>
    </Container>
  );
};

export default AdminDashboard;
